Page MenuHomePhabricator

Undefined property: stdClass::$actor_rev_user.actor_name in /includes/libs/rdbms/database/Database.php on line 1513
Closed, ResolvedPublic

Description

With MediaWiki 1.31 I am getting this notice:

Undefined property: stdClass::$actor_rev_user.actor_name in /includes/libs/rdbms/database/Database.php on line 1513

Seems like the member variable is not defined properly...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2018, 10:53 AM
Mainframe98 added subscribers: Anomie, Mainframe98.

It seems more likely that a query failed to join with the actor table, or that fails to include the actor_name field.

Is $wgActorTableSchemaMigrationStage set to anything but the default value of MIGRATION_OLD?

Pinging @Anomie, who'll know the right task this belongs to.

It looks like Database::selectFieldValues() doesn't properly handle the case where $var is not a field name.

$wgActorTableSchemaMigrationStage is set to MIGRATION_NEW as recommended by https://www.mediawiki.org/wiki/Manual:$wgActorTableSchemaMigrationStage.

Change 468003 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468003

Change 468003 merged by jenkins-bot:
[mediawiki/core@master] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468003

Anomie closed this task as Resolved.Oct 18 2018, 3:05 PM

Change 468788 had a related patch set uploaded (by Paladox; owner: Anomie):
[mediawiki/core@REL1_32] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468788

Change 468842 had a related patch set uploaded (by Legoktm; owner: Anomie):
[mediawiki/core@REL1_31] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468842

Change 468788 merged by jenkins-bot:
[mediawiki/core@REL1_32] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468788

Change 468842 merged by jenkins-bot:
[mediawiki/core@REL1_31] Database: Allow selectFieldValues() to accept SQL fragments

https://gerrit.wikimedia.org/r/468842

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:38 PM